BUGLE-LOG(7)

NAME
bugle-log - configure logging output from other filter-sets

SYNOPSIS

filterset log
{
    filename "bugle.log"
    file_level "4"
    stderr_level "3"
    flush "no"
    format "[%l] %f.%e: %m"
}

DESCRIPTION

The log filter-set does not do any logging itself; instead, it provides logging services to other filter-sets. It is always loaded, but it may be explicitly listed in the configuration file to set options. The log is always written to standard error, but it can be written to file as well. It is also possible to control the log level.

OPTIONS

filename
    This sets the file for logging. Logging is still done to standard error. Note that with the default settings, the file log is more verbose than the standard error log.

file_level
    The log level for the log file, where a higher number means more verbose logging. The levels are:

    0
        No logging at all

    1
        Errors, usually leading to immediate termination

    2
        Warnings, usually affecting bugle's functionality

    3
        Notices, usually OpenGL errors or undefined behaviour

    4
        Info from filtersets that generate logs, such as bugle-trace(7)

    5
        Debugging messages

stderr_level
    Similar to file_level, but for logging to standard error. The default is 4 for a file and 3 for standard error.

format
    Overrides the default log format. The following printf-style escapes are recognised:

    %l
        log level

    %f
        filter-set

    %e
        event

    %m
        the log message itself

    %p
        process ID

    %t
        thread ID

    %%
        a literal %

AUTHOR

bugle is written and maintained by Bruce Merry.

SEE ALSO

bugle(3), bugle-trace(7), bugle-logstats(7)